Bug 252124 - Review Request: filezilla - FileZilla FTP, FTPS and SFTP client
Review Request: filezilla - FileZilla FTP, FTPS and SFTP client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 21:14 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-12-24 12:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 17:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-08-13 21:14:15 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-0.2.rc1.kwizart.fc6.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Description: FileZilla is a fast FTP and SFTP client

#232434 is a known "duplicate" of this request
Comment 1 Nicolas Chauvet (kwizart) 2007-08-16 12:37:27 EDT
Actually, there is a problem while handling locales with this version...
Upstream is adviced, (hardcoded configure options will be removed for better
handling locales...)

Will changes license to GPLv2+ next time (may change to GPLv3, but not done...)

Comment 2 Nicolas Chauvet (kwizart) 2007-08-16 17:23:44 EDT
Ok thoses issue are solved upstream...
I'm waiting for rc2 to provides fixes, until then, filezilla rc1 with locales
fixes is in my kwizart-testing repository for fc7...
Comment 3 Parag AN(पराग) 2007-08-16 23:55:01 EDT
cool. Just checked in mock and found same problem as
No translations found for filezilla in
/var/tmp/filezilla-3.0.0-0.2.rc1.fc8-root-mockbuild

Comment 4 Nicolas Chauvet (kwizart) 2007-08-18 15:47:34 EDT
So, we are waiting for rc2 to start review...
Comment 5 Nicolas Chauvet (kwizart) 2007-08-30 22:13:46 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-0.2.rc2.kwizart.fc6.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Description: FileZilla is a fast FTP and SFTP client
Comment 6 Parag AN(पराग) 2007-08-31 01:13:11 EDT
rpmlint reports on SRPM
W: filezilla mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 76)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

 rpmlint reports on RPM
E: filezilla invalid-desktopfile
/tmp/filezilla-3.0.0-0.2.rc2.fc8.i386.rpm.32204/usr/share/applications/filezilla.desktop
.desktop file is not valid, check with desktop-file-validate

Encoding field is missing from .desktop file
Comment 7 Nicolas Chauvet (kwizart) 2007-09-03 13:17:52 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-0.3.rc3.kwizart.fc6.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Description: FileZilla FTP, FTPS and SFTP client

Spec changelog
- Update to 3.0.0rc3
- Add BR gawk
- Improve description/summary
- Removed dual listed doc file

(also fixed the rpmlint warning on src.rpm )

About the encoding line, this seems deprecated with Fedora 8. Upstream say so also

Built on rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=145790
Comment 8 Parag AN(पराग) 2007-09-03 23:43:09 EDT
looks ok but I do have some questions
1) why not to use fedora as vendor id?
2) didn't get the need to use __doc directory.
Comment 9 Nicolas Chauvet (kwizart) 2007-09-04 05:19:36 EDT
Actually "vendor_id" in Fedora guidelines is only used when upstream do not
already have it... If upstream have it, then it must conform to rule about not
using a different name. But this vendor field, while mandatory with older
desktop-file-install version, is also exposed to be deprecated...

There was a recent discution about that on the Fedora-devel mail-list:
https://www.redhat.com/archives/fedora-devel-list/2007-August/msg01841.html


About __doc, I use it because docs get often installed in the wrong place... But
when they are in the right place, the problem still appear because the %doc
macro take his path to begin from %{_builddir} instead of $RPM_BUILD_ROOT. So
this tweak make the %doc macros usuable on installed docs...

For now this tweak is used for only two files, but i expect it must be checked
when final will be released. Maybe the doc content will be larger then...

Comment 10 Parag AN(पराग) 2007-09-04 06:49:43 EDT
(In reply to comment #9)
> Actually "vendor_id" in Fedora guidelines is only used when upstream do not
> already have it... If upstream have it, then it must conform to rule about not
> using a different name. But this vendor field, while mandatory with older
> desktop-file-install version, is also exposed to be deprecated...
> 
> There was a recent discution about that on the Fedora-devel mail-list:
> https://www.redhat.com/archives/fedora-devel-list/2007-August/msg01841.html
> 
> 
 But from
https://www.redhat.com/archives/fedora-devel-list/2007-August/msg01857.html
it said use current guidelines.

> About __doc, I use it because docs get often installed in the wrong place... But
> when they are in the right place, the problem still appear because the %doc
> macro take his path to begin from %{_builddir} instead of $RPM_BUILD_ROOT. So
> this tweak make the %doc macros usuable on installed docs...
> 
> For now this tweak is used for only two files, but i expect it must be checked
> when final will be released. Maybe the doc content will be larger then...
> 
> 

OK.
Comment 11 Nicolas Chauvet (kwizart) 2007-09-09 09:12:10 EDT
SRPMS:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla-3.0.0-1.kwizart.fc7.src.rpm
SPEC:
http://kwizart.free.fr/fedora/7/testing/filezilla/filezilla.spec
Description: FileZilla FTP, FTPS and SFTP client

- Update to 3.0.0 ( final )
- Add fedora to deskop file install

Fedora 7 is missing gnutls-devel >= 1.5.4 and
Fedora Core 6 is missing also wxGTK >= 2.8.4
For thoses interested, I will provide the necessary dependencies from my
personnal testing repository... http://kwizart.free.fr/fedora
Comment 12 Parag AN(पराग) 2007-09-10 01:58:46 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
9751433785d98e069f4c404c2d3d3231  FileZilla_3.0.0_src.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ update-desktop-database scriptlets are used.
+ Desktop file handled correctly.
+ filezilla-3.0.0-1.fc8 package ->
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0)
libgcc_s.so.1(GLIBC_2.0) libgnutls.so.13 libgnutls.so.13(GNUTLS_1_3)
libidn.so.11 libm.so.6 libm.so.6(GLIBC_2.1) libpthread.so.0
libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.2) libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) libwx_baseu-2.8.so.0
libwx_baseu-2.8.so.0(WXU_2.8) libwx_baseu_net-2.8.so.0
libwx_baseu_net-2.8.so.0(WXU_2.8) libwx_baseu_xml-2.8.so.0
libwx_gtk2u_adv-2.8.so.0 libwx_gtk2u_adv-2.8.so.0(WXU_2.8)
libwx_gtk2u_aui-2.8.so.0 libwx_gtk2u_aui-2.8.so.0(WXU_2.8)
libwx_gtk2u_core-2.8.so.0 libwx_gtk2u_core-2.8.so.0(WXU_2.8)
libwx_gtk2u_html-2.8.so.0 libwx_gtk2u_qa-2.8.so.0 libwx_gtk2u_xrc-2.8.so.0
libwx_gtk2u_xrc-2.8.so.0(WXU_2.8) rtld(GNU_HASH)
+ GUI app.

APPROVED.
Comment 13 Nicolas Chauvet (kwizart) 2007-09-10 07:58:34 EDT
New Package CVS Request
=======================
Package Name:      filezilla
Short Description: FileZilla FTP, FTPS and SFTP client
Owners:            kwizart
Branches:          devel
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 14 Kevin Fenzi 2007-09-10 15:52:14 EDT
cvs done.
Comment 15 Nicolas Chauvet (kwizart) 2007-09-10 17:25:18 EDT
Thx for the review!

closing the bug for next release...
Comment 16 Julius B. 2007-09-15 03:00:01 EDT
Thank you so much, Nicolas! I'm looking forward to installing Fedora 8 and 
using Filezilla w/o any problems!
Comment 17 Nicolas Chauvet (kwizart) 2007-09-17 08:03:21 EDT
Package Change Request
======================
Package Name: filezilla
New Branches: F-7

Since gnutls may going to be updated in F-7, that might be possible to have
filezilla in F-7 also.
Comment 18 Kevin Fenzi 2007-09-17 16:44:06 EDT
cvs done.
Comment 19 Nicolas Chauvet (kwizart) 2007-12-24 09:38:11 EST
Package Change Request
======================
Package Name: filezilla
New Branches: EL-4 EL-5
Comment 20 Kevin Fenzi 2007-12-24 12:40:37 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.